clang-tools 8.0.0

Namespaces | Functions
IndexAction.cpp File Reference
`#include "IndexAction.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Index/IndexDataConsumer.h"`
`#include "clang/Index/IndexingAction.h"`
`#include "clang/Tooling/Tooling.h"`
Include dependency graph for IndexAction.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::unique_ptr< FrontendAction > | clang::clangd::createStaticIndexingAction (SymbolCollector::Options Opts, std::function< void(SymbolSlab)> SymbolsCallback, std::function< void(RefSlab)> RefsCallback, std::function< void(IncludeGraph)> IncludeGraphCallback)